$title  gams2tbl Example 2: Ordering table columns and rows

set     i       /1*5/;
set     j       /a,b,c,d/;

parameter  A   User-Specified Row and Column Order;
A(i,j) = uniform(0,100);


*       Any user-specified numeric values can be used to
*       sort rows and columns:

parameter roworder(i), colorder(j);

*       Reverse the row order:

roworder(i) = card(i) - ord(i) + 1;

*       Randomly order the columns:

colorder(j) = uniform(0,1);


*       ... but let A and B have the same rank (this will cause the 
*       displayed order to follow the standard GAMS symbol table):

colorder("a") = colorder("b");

$setglobal row_order    roworder
$setglobal col_order    colorder

file ktxt /example2.txt/; put ktxt;
$libinclude gams2tbl A

